Subject: Re: [PATCH 0/4] Ethtool: cleanup strategy

From: Ben Hutchings <[email-masked]>
Date: Tue, 2 Nov 2010 01:14:23 +0000

Michał Mirosław wrote:
> On Mon, Nov 01, 2010 at 09:05:25PM +0000, Ben Hutchings wrote:
[...]
> > It also might be worth defining a standard feature flag for RX checksum
> > offload, since currently every driver has to maintain its own private
> > flag.  Though we're running short of feature flags on 32-bit machines.
> 
> RX offloads are different in that most devices allow readback of
> configured bits, so actually no specific flags are needed.
[...]

Most devices also need resetting from time to time, so those flags still
need to be included in software state.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.